#
# spec file for package perl-Net-CIDR-Lite (Version 0.21)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Net-CIDR-Lite
%define cpan_name Net-CIDR-Lite
Summary:        Perl extension for merging IPv4 or IPv6 CIDR addresses
Version:        0.21
Release:        22.5
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-CIDR-Lite
Source:         http://search.cpan.org/CPAN/authors/id/D/DO/DOUGW/Net-CIDR-Lite-0.21.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
%if 0%{?suse_version} && 0%{?suse_version} <= 1210
BuildRequires:  perl-macros
%endif
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage)

%description
Faster alternative to Net::CIDR when merging a large number of CIDR
address ranges. Works for IPv4 and IPv6 addresses.


Authors:
--------
    Douglas Wilson <dougw@cpan.org>

%prep
%setup -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
* Wed Mar 27 2013 stefan.jakobs@rus.uni-stuttgart.de
- remove 'BuildRequires: perl-macros' from spec file, because perl
  included in openSUSE > 1210 deprecates perl-macros which causes a
  build failure.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Apr  7 2010 chris@computersalat.de
- update to 0.21
  - Fix RT Tickets:
  - 14535: Fix spanner clean() docs (reported by carbon at pobox.com).
  - 25898: Undef dereference with empty object (patch by Adam Tomason).
  - 30777: Add short_list_range() method (patch by Josef Kutej).
  - 48308: clean() or list() before add() causes error (reported by David Cawley).
  - 50042: spanner add() did not accept non-object (patch by Tomo.M).
  - 52571: "::" not accepted as valid IPv6 address (reported by Tim Wilde).
- 0.20  Sun Feb 12 01:00:00 2006
  - Fix error message on mask values.
- 0.19  Sat Jan 30 01:00:00 2006
  - Allow net mask of zero.
- cleanup spec
  o fixed HEADER, TAGS, deps, macros
- added perl-macros
- removed .packlist, .pod
  > noarch
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 16 2005 dmueller@suse.de
- Initial package (0.18)
